> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Resumen CFO con resultado, caja y proyección recurrente

> Returns a simple CFO view for accounting:
    - Recent income vs expenses using gross values with IVA
    - Cash flow by actual payment dates
    - Current month close including missing recurring expenses and pending financing
    - Projection through December using MRR + IVA and editable new subscription assumptions



## OpenAPI

````yaml /generated/specs/finance.json get /api/v1/analytics/cfo-summary
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/analytics/cfo-summary:
    get:
      tags:
        - Analytics - Dashboard
      summary: Resumen CFO con resultado, caja y proyección recurrente
      description: |-
        Returns a simple CFO view for accounting:
            - Recent income vs expenses using gross values with IVA
            - Cash flow by actual payment dates
            - Current month close including missing recurring expenses and pending financing
            - Projection through December using MRR + IVA and editable new subscription assumptions
      operationId: FinancialStatementsController_getCfoSummary
      parameters:
        - name: year
          required: false
          in: query
          description: Year to query the financial dashboard for
          schema:
            minimum: 2020
            maximum: 2050
            example: 2026
            type: number
        - name: newSubscriptionsPerMonth
          required: false
          in: query
          description: New subscriptions projected each month
          schema:
            minimum: 0
            example: 30
            type: number
        - name: ufPerSubscriptionNet
          required: false
          in: query
          description: Minimum net UF value to add per new subscription
          schema:
            minimum: 0
            example: 0.27
            type: number
        - name: churnProjected
          required: false
          in: query
          description: Projected churned subscriptions per month
          schema:
            minimum: 0
            example: 0
            type: number
        - name: detailMonth
          required: false
          in: query
          description: >-
            Optional month key to include the heavy drill-down detail only for
            that month
          schema:
            example: 2026-04
            type: string
      responses:
        '200':
          description: ''
        '400':
          description: Invalid year or projection assumptions
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token de sesión Better Auth para rutas de backoffice; las rutas de
        portal usan su token propio.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.